SDL_AtomicIncRef(3)

NAME
SDL_AtomicIncRef - Increment an atomic variable used as a reference count.

HEADER FILE
Defined in SDL3/SDL_atomic.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_AtomicIncRef(a)    SDL_AddAtomicInt(a, 1)

DESCRIPTION

Note: If you don't know what this macro is for, you shouldn't use it!

RETURN VALUE
Returns the previous value of the atomic variable.

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_AtomicDecRef(3)